# System engineering & Devops

Module of **System engineering** and **Devops**, carried out during **Full Stack Software Engineering studies** at **[Holberton School](https://www.holbertonschool.com/)**.

## Technologies
* Scripts written in Bash 4.3.11(1)
* Tested on Ubuntu 14.04 LTS
* Puppet 3.8

## Projects
All of the following folders are projects done during the studies:

| Project name | Description |
| ------------ | ----------- |
| [`0x00-shell_basics`](https://github.com/luischaparroc/holberton-system_engineering-devops/tree/master/0x00-shell_basics) | It aims to learn about basics commands, navigation, files and directories in **Shell** |
| [`0x01-shell_permissions`](https://github.com/luischaparroc/holberton-system_engineering-devops/tree/master/0x01-shell_permissions) | It aims to learn about man pages, permissions (owner, group and other) of files and directories in **Shell** |
| [`0x02-shell_redirections`](https://github.com/luischaparroc/holberton-system_engineering-devops/tree/master/0x02-shell_redirections) | It aims to learn about how to handle standard input and output and how to combine commands and filters with redirections in **Shell** |
| [`0x03-shell_variable_expansions`](https://github.com/luischaparroc/holberton-system_engineering-devops/tree/master/0x03-shell_variables_expansions) | It aims to learn about alias builtin, help builtin, local, global and reserved variables (PATH, HOME and PS1), special parameters `$?` and single an double quotes in **Shell** |
| [`0x04-loops_conditions_and_parsing`](https://github.com/luischaparroc/holberton-system_engineering-devops/tree/master/0x04-loops_conditions_and_parsing) | It aims to learn about loops (`while`, `until` and `for`), condition statements (`if`, `else`, `elif` and `case`), shebangs and how to create SSH keys with **Bash** |
| [`0x05-processes_and_signals`](https://github.com/luischaparroc/holberton-system_engineering-devops/tree/master/0x05-processes_and_signals) | It aims to learn about PID, processes and commands that handles them (`ps`, `pgrep`, `pkill`, `kill`, etc) in **Bash** |
| [`0x06-regular_expressions`](https://github.com/luischaparroc/holberton-system_engineering-devops/edit/master/0x06-regular_expressions/README.md) | It aims to learn about how to build a regular expression |
| [`0x07-networking_basics`](https://github.com/luischaparroc/holberton-system_engineering-devops/edit/master/0x07-networking_basics/README.md) | It aims to learn about what is an OSI model, LAN, WAN, IP address, localhost, subnet and TCP/UDP |
| [`0x08-networking_basics_2`](https://github.com/luischaparroc/holberton-system_engineering-devops/edit/master/0x08-networking_basics_2/README.md) | It aims to learn about what is localhost/127.0.0.1, what is 0.0.0.0, what is `/etc/hosts` and how to display the machine's active network interfaces |
| [`0x09-web_infrastructure_design`](https://github.com/luischaparroc/holberton-system_engineering-devops/edit/master/0x09-web_infrastructure_design/README.md) | It aims to learn about how to design a Web Infrastructure |
| [`0x0A-configuration_management`](https://github.com/luischaparroc/holberton-system_engineering-devops/edit/master/0x0A-configuration_management/README.md) | It aims to learn about server configuration management using **Puppet** |
| [`0x0B-ssh`](https://github.com/luischaparroc/holberton-system_engineering-devops/edit/master/0x0B-ssh/README.md) | It aims to learn about what is a SSH, how to create an SSH RSA key pair and how to connect to a remote host using SSH |
| [`0x0C-web_server`](https://github.com/luischaparroc/holberton-system_engineering-devops/edit/master/0x0C-web_server/README.md) | It aims to learn about the roles of web servers and their processes (parent and child), and DNS roles |
| [`0x0D-web_stack_debugging_0`](https://github.com/luischaparroc/holberton-system_engineering-devops/tree/master/0x0D-web_stack_debugging_0) | It aims to learn about how to debug a webstack |
